#! /bin/bash
echo "Install pipewire from ppa repository"
sleep 1
#start programma vanaf hier
sudo add-apt-repository ppa:pipewire-debian/pipewire-upstream
sudo add-apt-repository ppa:pipewire-debian/wireplumber-upstream
sudo apt update
sudo apt install pipewire pipewire-audio-client-libraries gstreamer1.0-pipewire libpipewire-0.3-{0,dev,modules} libspa-0.2 {bluetooth,dev,jack,modules} pipewire{,-{audio-client libraries,pulse,media-session,bin,locales,tests}}
systemctl --user daemon-reload
#apt upgrade -y
echo "Install wireplumber"
sudo apt purge pipewire-media-session -y
sudo apt install wireplumber -y
sudo apt install qpwgraph -y
echo "installing Additional packages and libraries"
sudo apt install libldacbt-abr2 libldacbt-enc2 libspa-0.2-bluetooth pipewire-audio-client-libraries libspa-0.2-jack -y
echo "enabling pipewire"
systemctl --user --now disable pulseaudio.service pulseaudio.socket
#systemctl --user mask pulseaudio
systemctl --user --now enable pipewire pipewire-pulse wireplumber
#apt purge pulseaudio -y
sudo apt autoremove -y
$SHELL
